USB 3.0 Harddrive not recognised

Bug #1242321 reported by turbolad on 2013-10-20
324
This bug affects 64 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu is not recognising any device plugged into any USB 3.0 ports. Sometimes Ubuntu will freeze for a few seconds when you plug something into a USB 3.0 port; when Ubuntu comes out of the freeze, the device is still NOT recognised.

No problems with USB 2.0 ports and devices.

The USB 3.0 on this computer only works in Windows 7 (I'm dual booting Ubuntu 13.10 and Windows 7, both are 64-bit).

A common mitigation for this bug is to invoke:
sudo lsusb -v

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1242321/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
turbolad (turbolad995) wrote :

Which package has this bug?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
dominique ignace (dominik95-8) wrote :

Hi,

this bug is affecting me after the update from 13.04 to 13.10 or a kernel update, I'm not sure. It was working fine on 13.04, devices (usb2 or usb3) are not more detected on the usb 3.0 port of my laptop. They are working fine on the usb 2.0 ports (asus u36SD).

3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: NVIDIA Corporation GF119M [GeForce GT 520M] (rev a1)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 100
05:00.0 Ethernet controller: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet (rev c0)

Mateusz Czubak (mczubak) wrote :

The same problem here. Upgraded from 13.04 to 13.10, kernel 3.11.0-13 and USB 3.0 is not detected.
lsusb output:
`Bus 002 Device 004: ID 0955:7002 NVidia Corp.
Bus 002 Device 003: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 0bda:0139 Realtek Semiconductor Corp. RTS5139 Card Reader Controller
Bus 001 Device 004: ID 04f2:b1bb Chicony Electronics Co., Ltd
Bus 001 Device 003: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub`

dominique ignace (dominik95-8) wrote :

Hi all,

I tried to plug my usb 3.0 key today on the usb3.0 port and it was detected.
Here are the dmesg log when plugging the device :

[ 570.870164] usb 4-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 570.886755] usb 4-1: New USB device found, idVendor=05dc, idProduct=a205
[ 570.886766] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 570.886772] usb 4-1: Product: JumpDrive
[ 570.886777] usb 4-1: Manufacturer: Lexar
[ 570.886782] usb 4-1: SerialNumber: 4175787775
[ 570.887361] usb-storage 4-1:1.0: USB Mass Storage device detected
[ 570.887519] scsi7 : usb-storage 4-1:1.0
[ 571.887681] scsi 7:0:0:0: Direct-Access Lexar JumpDrive 1.00 PQ: 0 ANSI: 6
[ 571.888529] sd 7:0:0:0: Attached scsi generic sg2 type 0
[ 571.888746] sd 7:0:0:0: [sdc] 62545920 512-byte logical blocks: (32.0 GB/29.8 GiB)
[ 571.888950] sd 7:0:0:0: [sdc] Write Protect is off
[ 571.888959] sd 7:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 571.889133] sd 7:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 571.895247] sdc: sdc1
[ 571.896744] sd 7:0:0:0: [sdc] Attached SCSI removable disk

kernel is 3.11.0-15-generic #23-Ubuntu SMP Mon Dec 9 18:17:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Regards,
 Dominique

David Broom (david-broom) wrote :

I believe the problem is hardware related and nothing to do with (k)ubuntu. I have a new PC with 2 USB3 ports setup to dual boot between Windoze 7 and Kubuntu 13.10. The ports worked fine under Windoze but not at all under Kubuntu.

Browsing the forums for a solution I came across the answer in a Linux Mint (Ubuntu derivative) forum. Apparently internal USB3 ports plugged into the motherboard 20 pin header will not be recognised by Linux.

The answer is to buy a PCI-E to USB 3 expansion card. I bought the Inateck Superspeed card from Amazon, plugged it into my motherboard's PCI-E expansion slot (MUST be a PCI-E slot, will not work with standard PCI) and on booting my PC Kubuntu recognised the ports and connected drives instantly. (Windoze had to wait until I installed the supplied driver).

dominique ignace (dominik95-8) wrote :

@David,

I did absolutely nothing (except normal updates) to make my USB3 devices recognized on the USB3.0 port of my laptop nor my desktop and now they are working.

I also have this problem. Nothing shows up in dmesg or lsusb when I plug a hard drive into the USB 3.0 ports on the back of my PC. The same drive works normally if I use a USB 2 port instead.

Let me know if I can post any diagnostic information that would help tracking this down.

GortiZ (mlista6) wrote :

I can confirm this bug on Kubuntu 14.04 beta2 using a Dell Inspiron 17R

GortiZ (mlista6) wrote :

I changed the title since the bug is affecting 14.04 too.
here's my dmesg:

[ 943.570033] usb 3-1: Disable of device-initiated U1 failed.
[ 948.574074] usb 3-1: Disable of device-initiated U2 failed.
[ 948.686722] usb 3-1: reset SuperSpeed USB device number 2 using xhci_hcd
[ 948.703427] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a360
[ 948.703432] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a38c
[ 948.703748] xhci_hcd 0000:00:14.0: WARN Set TR Deq Ptr cmd failed due to incorrect slot or ep state.
[ 961.460475] usb 3-1: Disable of device-initiated U1 failed.
[ 966.464520] usb 3-1: Disable of device-initiated U2 failed.
[ 966.577174] usb 3-1: reset SuperSpeed USB device number 2 using xhci_hcd
[ 966.593859] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a360
[ 966.593864] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a38c
[ 966.594180] xhci_hcd 0000:00:14.0: WARN Set TR Deq Ptr cmd failed due to incorrect slot or ep state.
[ 979.350926] usb 3-1: Disable of device-initiated U1 failed.
[ 984.354966] usb 3-1: Disable of device-initiated U2 failed.
[ 984.467623] usb 3-1: reset SuperSpeed USB device number 2 using xhci_hcd
[ 984.484319] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a360
[ 984.484324] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ec22a38c
[ 984.484641] xhci_hcd 0000:00:14.0: WARN Set TR Deq Ptr cmd failed due to incorrect slot or ep state.
[ 984.485340] sd 8:0:0:0: [sdc] Unhandled sense code
[ 984.485343] sd 8:0:0:0: [sdc]
[ 984.485345] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 984.485347] sd 8:0:0:0: [sdc]
[ 984.485349] Sense Key : Medium Error [current]
[ 984.485353] sd 8:0:0:0: [sdc]
[ 984.485356] Add. Sense: Recorded entity not found
[ 984.485358] sd 8:0:0:0: [sdc] CDB:
[ 984.485359] Read(10): 28 00 3a 38 60 30 00 00 01 00
[ 984.485368] blk_update_request: 20 callbacks suppressed
[ 984.485370] end_request: critical medium error, dev sdc, sector 976773168
[ 984.485374] Buffer I/O error on device sdc, logical block 976773168

Let me know if I can provvide any other information.

summary: - USB 3.0 not recognised by Ubuntu 13.10
+ USB 3.0 Harddrive not recognised

Confirm on Kubuntu 14.04 final using a Dell Inspiron 15R (5537)

Allard Pruim (allardpruim) wrote :

Same problem, when I connect a USB 3.0 device in a USB 3.0 port it mostly won't regonize it. When I put the USB 3.0 device in a regular 2.0 port it works. Also older USB devices seem to be working fine in the USB 3.0 ports but USB 3.0 devices don't.

Juanjo (9-juanjo) wrote :

I'm using

Linux anthrax 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

And the problem persists. When I use an USB2.0 extension cable (thus converting the port to USB2.0) my USB3.0 devices (external hdd and a pendrive) worked, but the didn't when directly attached to the port. This is an external port soldered directly to the mainboard, and the behavior is the same on all my four usb3.0 ports.

Juanjo (9-juanjo) wrote :

Update: At home my board is AMD Based, and USB works on Windows but not with ubuntu.

00:10.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB XHCI Controller (rev 03)

At work I've an Intel based board and my drives work at super-speed.

Juanjo (9-juanjo) wrote :

Assigned package

affects: ubuntu → linux-meta (Ubuntu)
Brad Figg (brad-figg) on 2014-09-09
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.17 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc4-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Michael (mi9hael) wrote :

Tested it with v3.17

$ uname -a
Linux MichTop 3.17.1-031701-generic #201410150735 SMP Wed Oct 15 11:36:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

kernel-bug-exists-upstream

Nov 14 13:51:24 MichTop kernel: [ 55.889535] usb 3-2: new high-speed USB device number 2 using xhci_hcd
Nov 14 13:51:24 MichTop kernel: [ 56.026750] usb 3-2: New USB device found, idVendor=1234, idProduct=5678
Nov 14 13:51:24 MichTop kernel: [ 56.026754] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 14 13:51:24 MichTop kernel: [ 56.026756] usb 3-2: Product: VLI Product String
Nov 14 13:51:24 MichTop kernel: [ 56.026757] usb 3-2: Manufacturer: VLI manufacture String
Nov 14 13:51:24 MichTop kernel: [ 56.026759] usb 3-2: SerialNumber: SD00000000002326
Nov 14 13:51:24 MichTop mtp-probe: checking bus 3, device 2: "/sys/devices/pci0000:00/0000:00:1c.2/0000:04:00.0/usb3/3-2"
Nov 14 13:51:24 MichTop mtp-probe: bus: 3, device: 2 was not an MTP device
Nov 14 13:51:24 MichTop kernel: [ 56.055547] usb-storage 3-2:1.0: USB Mass Storage device detected
Nov 14 13:51:24 MichTop kernel: [ 56.055658] scsi host6: usb-storage 3-2:1.0
Nov 14 13:51:24 MichTop kernel: [ 56.055737] usbcore: registered new interface driver usb-storage
Nov 14 13:51:24 MichTop kernel: [ 56.057596] usbcore: registered new interface driver usbtouchscreen
Nov 14 13:51:25 MichTop kernel: [ 56.774499] usb 3-2: USB disconnect, device number 2
Nov 14 13:51:26 MichTop kernel: [ 58.032837] usb 4-2: device not accepting address 2, error -22

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Expired → Confirmed
Thomas Marschall (tmarschall) wrote :

Same Problem here on Shuttle DS 437:

xxxxx@yyyyy /etc $ cat /etc/lsb-release
DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=17
DISTRIB_CODENAME=qiana
DISTRIB_DESCRIPTION="Linux Mint 17 Qiana"

xxxxx@yyyyy /etc $ uname -a
Linux selene 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

This is filed for more than a year now and no comment from some developers? Is USB-3 support of such a low prio or is it just some less common hardware that is affected?

Rodleiva (rodleiva) wrote :

Same with Lenovo E440
Ubuntu 14.04
kernel 3.13.0
USB 3.0 port & USB 3.0 hard disk not working
USB 3.0 port & USB 2.0 pendrive works ok
USB 2.0 port & USB 3.0 hard disk works ok

For me the same on 3.16.0-29-generic (utopic-lts kernel below trusty)

Allard Pruim (allardpruim) wrote :

When will this be fixed, I didn't bought a USB 3.0 drive and mobo for nothing.

kaktux (kaktux) wrote :

same problem with an ASRock Q1900DC-ITX Mainboard.
It has 4 external ports - the 2 external USB 2 ports work without problems - but on the 2 USB 3 no device works without problems (even mouse and keyboard only work after they are pluged-out and in again after each restart).

Gaurav Ashtikar (gau1991) wrote :

Same here, affects me to. Fresh installed Ubuntu 14.04.
No activity on this since long days :(

Tommy_CZ (t-kijas) wrote :

Similar here, I cannot use nothing connected to USB3 (although lsusb command can see it).
Ubuntu 14.04.1
MB MSI 970 GAMING

Fedik (fedikw) wrote :

disabling "EHCI hand-off" and "Legacy USB 3.0 support" (support for USB 3.0 devices on legacy operating systems) in BIOS fixed the problem for me (motherboard ASUS P8Z68-V)

I have same problem with my ASUS u36sd and my 500gb external hdd on elementary os freya.

It turns out that the problem only happens when my cpu runs on powersave governor, but not when my cpu runs on performance governor. I use tlp to set my cpu governor to powersave on battery an performance on ac.

Update:
The problem only happens when my laptop runs on battery. No problem when it runs on ac. Nothing to do with cpu governor or tlp. And it's only happens on external hard disk, no problem with flash disk.

elementary OS Freya
3.13.0-45-generic

Holger S. (holger-stenneken) wrote :

...seems same problem here

hardware specs: AMD A10-7800, 4x 3.50GHz, Crucial Ballistix Sport DIMM Kit 16GB, DDR3-1600, CL9-9-9-24 (BLS2CP8G3D1609DS1S00) - Mainboard MSI A88XM-E45 (7721-004R) Fractal Design Define R4 Black Pearl, silent
be quiet! Straight Power E10 400W ATX 2.4 (E10-400W/BN230), SSD 512 GB 830er Samsung

Bug concerns all my USB3 ports, front and rear... sometimes not detected, sometimes only as USB2 ... in WIN 8.1 all fine.

Holger S. (holger-stenneken) wrote :

Add:

Ubuntu 14.04.2

Michael Steenbeek (gymnasiast) wrote :

Same problem here, on an Acer Aspire V3-571G. The problem happens with both 14.04 and 14.10 (other versions not thoroughly tested).
Putting USB2 devices in the USB3 ports works.
Putting USB3 devices in the USB2 ports works.
Putting USB2 devices in the USB2 ports works.

Putting USB3 devices in the USB3 ports doesn't work. Copying files to USB3 external hard drives connected to a USB3 port will almost always fail after about 10 seconds. Also, I sometimes get a kernel panic when using the USB3 port on my laptop (both with USB2 and USB3 devices), which might be related.

This is still present in vivid.

Switching to the performance govenor, removing the drive and re-adding it worked around the bug.

Something must be blocking power to the xhci when the cpu is saving power...?

This is also present on non-Ubuntu systems, including ones running Linus’ latest kernels.

Bolick (alexey-brodkin) wrote :

Probably this thread discussed a similar problem - http://thread.gmane.org/gmane.linux.usb.general/110579/focus=114763
And if my assumption correct then fix is already committed in kernel v4.0rc3 and to be applied to stable 3.18 and 3.19 (hopefully) - http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/usb/host?id=27082e2654dc148078b0abdfc3c8e5ccbde0ebfa

Pedro Martins Dusso (pmdusso) wrote :

Is the fix Bolick mentioned being released anytime soon?

CataclysmZA (fickwesley) wrote :

I'd like to add that I'm seeing this bug as well. I'm trying a variety of USB 3.0 and 2.0 devices in my on-board ports, nothing works. Disabling XHCI or EHCI does nothing, but all of this works perfectly inside Windows. I'm on a MSI 970 Gaming motherboard, V22.2 BIOS, booting using Legacy/UEFI mode. I'm on Ubuntu 14.04 and I didn't see any of this working before the install either. My USB 3.0 chipset is designed by VIA.

When running dmesg, this is part of what I see that could be the missing USB ports:

[ 15.508483] usb 10-1: new high-speed USB device number 2 using xhci_hcd
[ 15.510503] init: plymouth-splash main process (2042) terminated with status 1
[ 28.735253] xhci_hcd 0000:03:00.0: Stopped the command ring failed, maybe the host is dead
[ 28.761562] xhci_hcd 0000:03:00.0: Host not halted after 16000 microseconds.
[ 28.761564] xhci_hcd 0000:03:00.0: Abort command ring failed
[ 28.761572] xhci_hcd 0000:03:00.0: HC died; cleaning up
[ 28.761591] xhci_hcd 0000:03:00.0: Timeout while waiting for setup device command
[ 28.761598] usb 10-1: hub failed to enable device, error -62
[ 28.761626] usb usb10-port1: couldn't allocate usb_device

I have other devices plugged in, namely a USB mouse and keyboard, and these pick up through EHCI a little lower down in the log.

I have more or less come up against this issue as well, with one exception;
two of the USB 3 ports on my Asrock FM2 AMD mobo are powered when the PC is off, i.e. to charge devices when the PC is not running. Ubuntu 14.04 LTS detects external USB3 HDD devices when they are plugged into these ports. The other four USB 3 ports are not detected.

Same issues Dell Lattitude 6320 using Express Cardbus USB3 with NEC Chipset
Ubuntu 14.04
kernel 3.13.0-49
USB 3.0 port & USB 3.0 hard disk not working
USB 3.0 port & USB 2.0 usb stick works properly
USB 2.0 port & USB 3.0 hard disk works properly

Turbo (axelhc) wrote :

Hi all.

Having still this problem on Kubuntu 14.04 LTS (USB memory sticks, mouses, etc. inserted on USB3.0 ports are completely ignored but it works fine on normal USB2.0). But it seems to be fixed on Kubuntu 15.04 beta; if I found any problem on the last one will notify.

Allard Pruim (allardpruim) wrote :

Problem still exist in the 15.04 release.

(K)Ubuntu 15.04 release- problem persists for me also. As I mentioned earlier, the two "always power on" USB 3 ports work OK. USB3 devices are not recognised on the other four ports.
I have to assume the hardware OK because when booting into Windows, the all USB 3 ports/ devices behave correctly.

Allard Pruim (allardpruim) wrote :

This is the log when I connect a device:

28/04/15 23:01:59 kubuntu-pc-allard kernel [22930.437785] usb 5-2: new high-speed USB device number 2 using xhci_hcd
28/04/15 23:01:59 kubuntu-pc-allard kernel [22930.437989] usb 5-2: Device not responding to set address.
28/04/15 23:02:16 kubuntu-pc-allard kernel [22935.638860] xhci_hcd 0000:00:10.0: Timeout while waiting for address device command
28/04/15 23:02:16 kubuntu-pc-allard kernel [22946.851362] xhci_hcd 0000:00:10.0: Stopped the command ring failed, maybe the host is dead
28/04/15 23:02:16 kubuntu-pc-allard kernel [22946.887284] xhci_hcd 0000:00:10.0: Host not halted after 16000 microseconds.
28/04/15 23:02:16 kubuntu-pc-allard kernel [22946.887289] xhci_hcd 0000:00:10.0: Abort command ring failed
28/04/15 23:02:16 kubuntu-pc-allard kernel [22946.887444] xhci_hcd 0000:00:10.0: HC died; cleaning up
28/04/15 23:02:16 kubuntu-pc-allard kernel [22946.888511] [sched_delayed] sched: RT throttling activated
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] The canary thread is apparently starving. Taking action.
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Demoting known real-time threads.
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2416 of process 2412 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2415 of process 2412 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2414 of process 2412 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2412 of process 2412 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2283 of process 2254 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2282 of process 2254 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2271 of process 2254 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Successfully demoted thread 2254 of process 2254 (n/a).
28/04/15 23:02:16 kubuntu-pc-allard rtkit-daemon[2256] Demoted 8 threads.
28/04/15 23:02:16 kubuntu-pc-allard kernel [22947.088557] usb 5-2: device not accepting address 2, error -108
28/04/15 23:02:21 kubuntu-pc-allard kernel [22952.085806] xhci_hcd 0000:00:10.0: Timeout while waiting for a slot
28/04/15 23:02:21 kubuntu-pc-allard kernel [22952.085816] xhci_hcd 0000:00:10.0: Abort the command ring, but the xHCI is dead.
28/04/15 23:02:26 kubuntu-pc-allard kernel [22957.083055] xhci_hcd 0000:00:10.0: Timeout while waiting for a slot
28/04/15 23:02:26 kubuntu-pc-allard kernel [22957.083065] xhci_hcd 0000:00:10.0: Abort the command ring, but the xHCI is dead.
28/04/15 23:02:31 kubuntu-pc-allard kernel [22962.080239] xhci_hcd 0000:00:10.0: Timeout while waiting for a slot
28/04/15 23:02:31 kubuntu-pc-allard kernel [22962.080245] xhci_hcd 0000:00:10.0: Abort the command ring, but the xHCI is dead.

Allard Pruim (allardpruim) wrote :

Seems like this problem is also present at other Linux distro's. With Debian 8 and openSUSE 13.2 I also encounter some problems. Sometimes it works, but sometimes it doesn't.

zebul666 (zebul666) wrote :

I have this problem too with my WD passport external USB 3 HDD and USB 3 port of my Dell Inspiron 15 (2521)

i.e. the (USB 3) HDD is not recognized when plugged in USB 3 ports

However USB 2 device device work fine on the USB 3 ports. Only USB 3 device are not recognized.

James Ralston (ralston) wrote :

James Cloos wrote in comment 34:

> Switching to the performance govenor, removing the drive and re-adding it worked around the bug.
>
> Something must be blocking power to the xhci when the cpu is saving power...?

I believe that USB autosuspend is the culprit here. I'm seeing this problem on Fedora Linux as well, so I suspect it's an upstream bug.

For those of you who are having this problem: please try disabling USB autosuspend on all USB devices, by running the following command as root:

$ for F in /sys/bus/usb/devices/*/power/control; do echo on >"${F}"; done

You can then verify that the power control status for all devices is "on", not "auto". E.g.:

$ grep . /sys/bus/usb/devices/*/power/control
/sys/bus/usb/devices/1-1/power/control:on
/sys/bus/usb/devices/1-2/power/control:on
/sys/bus/usb/devices/7-1/power/control:on
/sys/bus/usb/devices/7-2/power/control:on
/sys/bus/usb/devices/usb1/power/control:on
/sys/bus/usb/devices/usb2/power/control:on
/sys/bus/usb/devices/usb3/power/control:on
/sys/bus/usb/devices/usb4/power/control:on
/sys/bus/usb/devices/usb5/power/control:on
/sys/bus/usb/devices/usb6/power/control:on
/sys/bus/usb/devices/usb7/power/control:on
/sys/bus/usb/devices/usb8/power/control:on

If you do this, do your USB3 ports work properly?

(For me, on Fedora Linux, disabling USB autosuspend made all my USB ports work perfectly.)

Note: if you've already caused the xhci_hcd driver to die, you'll need to reboot first.

Mateusz Czubak (mczubak) wrote :

@James

Doesn't work for me (Ubuntu 14.04)

James Ralston (ralston) wrote :

@Mateusz:

So far, I've only seen the problem with USB autosuspend breaking USB3 ports on AMD-based chipsets. Specifically, for me, I see the problems on A85X and A88X systems. I haven't had a chance to test the A85X system, but disabling USB autosuspend on the A88X system definitely avoids the problem.

I notice from your dmesg output in comment 5 that you have an Intel chipset, so you might actually have a different problem. Sorry. :-(

Myk Dowling (politas) wrote :

I have the same problem on my Ubuntu Server

Ubuntu 14.04.3 LTS (GNU/Linux 3.13.0-63-generic x86_64)

Plug in a USB 3 powered drive and I get:

Sep 16 14:38:16 fuller kernel: [ 258.785743] usb 3-4: new full-speed USB device number 2 using xhci_hcd
Sep 16 14:38:16 fuller kernel: [ 258.785913] usb 3-4: Device not responding to set address.
Sep 16 14:38:16 fuller kernel: [ 258.989962] usb 3-4: Device not responding to set address.
Sep 16 14:38:16 fuller kernel: [ 259.193931] usb 3-4: device not accepting address 2, error -71
Sep 16 14:38:16 fuller kernel: [ 259.305981] usb 3-4: new full-speed USB device number 3 using xhci_hcd
Sep 16 14:38:16 fuller kernel: [ 259.306146] usb 3-4: Device not responding to set address.
Sep 16 14:38:17 fuller kernel: [ 259.510201] usb 3-4: Device not responding to set address.
Sep 16 14:38:17 fuller kernel: [ 259.714169] usb 3-4: device not accepting address 3, error -71
Sep 16 14:38:17 fuller kernel: [ 259.826218] usb 3-4: new full-speed USB device number 4 using xhci_hcd
Sep 16 14:38:17 fuller kernel: [ 259.826387] usb 3-4: Device not responding to set address.
Sep 16 14:38:17 fuller kernel: [ 260.030471] usb 3-4: Device not responding to set address.
Sep 16 14:38:17 fuller kernel: [ 260.234411] usb 3-4: device not accepting address 4, error -71
Sep 16 14:38:17 fuller kernel: [ 260.346462] usb 3-4: new full-speed USB device number 5 using xhci_hcd
Sep 16 14:38:17 fuller kernel: [ 260.346624] usb 3-4: Device not responding to set address.
Sep 16 14:38:18 fuller kernel: [ 260.550715] usb 3-4: Device not responding to set address.
Sep 16 14:38:18 fuller kernel: [ 260.754648] usb 3-4: device not accepting address 5, error -71
Sep 16 14:38:18 fuller kernel: [ 260.754749] hub 3-0:1.0: unable to enumerate USB device on port 4

politas@fuller:~$ lsusb -t
/: Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/4p, 5000M
/: Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/4p, 480M
/: Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
        |__ Port 6: Dev 3, If 0, Class=Vendor Specific Class, Driver=usbfs, 12M
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
        |__ Port 3: Dev 3, If 0, Class=Human Interface Device, Driver=usbhid, 1.5M

Tried the autosuspend workaround mentioned above with no change. How do we undo that, by the way?

Randy Sage (ransage) wrote :

I have been having what seems like this issue with both LaCie and Seagate external drives when connected to USB 3 ports.

I just had connections to a server freeze and found this message when I went to the physical display (I can share a low quality image of the full screen if that helps):
[309540.436290] BUG: unable to handle kernel NULL pointer dereference at 00000...0000f0
[309540.436313] IP: [<ffff...>] _raw_spin_lock_irq_save+0x1f/0x60
...
[309540.533342] Kernel panic - not syncing: Fatal exception in interrupt
[309540.533366] Kernel Offset: 0x0 from 0xff[... hard to count characters]
[309540.533389] drm_kms_helper: panic occurred, switching back to text console

I have encountered the general issue of USB hard dive in USB 3 port freezing with three different devices running Ubuntu 14.04 over the last few months. The devices are:
1. a Dell laptop that came shipped with Windows that I installed Ubuntu on (not running very well, so I did not think anything of it)
2. a Dell Precision M3800 that came shipped with Ubuntu 14.04 - not sure exact revision when bug presented because I learned never to plug USB drives into USB 3 ports on the laptop, but today it has Ubuntu 14.04.3 LTS
3. just now, I caused a kernel panic on a Lenovo ThinkServer that has Ubuntu 14.04.2 LTS - at this point I thought I should log this. Additional version info is:
  Linux version 3.16.0-50-generic (buildd@lgw01-03) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #67~14.04.1-Ubuntu SMP Fri Oct 2 22:07:51 UTC 2015 (Ubuntu 3.16.0-50.67~14.04.1-generic 3.16.7-ckt16)

Note: the symptom for #1 and #2 was that plugging a drive into a USB 3 port caused the computer to 'freeze' - not much useful

Finally, things work fine with all three computers iff I am careful to use only the USB 2 ports with the LaCie or with the Seagate drives.

koshari (holto2go) wrote :

Same issues asrock q1900-+itx
kernel 3.13.0-24-generic
USB 3.0 port & USB 3.0 hard disk not working
USB 3.0 port & USB 2.0 usb stick works properly
USB 2.0 port & USB 3.0 hard disk works properly

koshari (holto2go) wrote :

usb port 1d6b:0003 Linux Foundation 3.0 root hub

koshari (holto2go) wrote :

updated to 3.16.0-51-generic and still same.

koshari (holto2go) wrote :

updated to 3.19.0-31-generic
usb 3 device now recignised and loaded,
Bus 001 Device 007: ID 04e8:6860 Samsung Electronics Co., Ltd GT-I9100 Phone [Galaxy S II], GT-I9300 Phone [Galaxy S III], GT-P7500 [Galaxy Tab 10.1]

from dmesg
[ 87.858394] usb 1-1.4: new high-speed USB device number 7 using xhci_hcd
[ 87.966131] usb 1-1.4: New USB device found, idVendor=04e8, idProduct=6860
[ 87.966142] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 87.966148] usb 1-1.4: Product: SAMSUNG_Android
[ 87.966153] usb 1-1.4: Manufacturer: SAMSUNG
[ 87.966159] usb 1-1.4: SerialNumber: c8174109

solarw (solarw-mail) wrote :

I have same problem on 15.10
Suppose this happens after suspend mode. usb3 hdd does not recognized by ubuntu. no messages in dmesg

cement_head (andor-udel) wrote :

I also see this with a USB 3.0 plugged into any USB 2 or USB 3 port, Dell Precision M4800, Ubuntu 14.04.3 LTS

Using 3.19.0-32-generic (lts-vivid) below trusty I'm able to work around with invoking as root:
lsusb -v

Afterwards the missing hdd is recognized again.

None of the workarounds did anything for me.

But this fixed it (for me):
1. Power off your computer
2. Plug the device in
3. Power on the computer
4. The device will now be detected and working normally. You will also be able to unplug and replug it without restarting.
5. Restart your computer with the drive mounted.
6. Unmount the drive and disconnect it.

Now your drive will work even when not connected at boot time. Steps 5 and 6 were crucial for this.

But clearly something is amiss here since now I have a new problem (only USB3.0 ports) - when I safely remove the drive or power it off, it immediately reconnects and auto-mounts.

olikaf (olivier-fresse) wrote :

Confirmed on ubuntu 15.10.
I tried lsusb -v, Kirils workaround, the usb power management mode, nothing works.

However if I boot with the disk plugged, it's ok.

uname -as
Linux odin 4.2.0-19-generic #23-Ubuntu SMP Wed Nov 11 11:39:30 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

lsusb
Bus 004 Device 004: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
Bus 004 Device 003: ID 413c:8143 Dell Computer Corp.
Bus 004 Device 002: ID 8087:8000 Intel Corp.
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 003: ID 0c45:64d0 Microdia
Bus 003 Device 002: ID 8087:8008 Intel Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 046d:c00f Logitech, Inc. MouseMan Traveler/Mobile
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Julian Vogt (f-julian) wrote :

installed kubuntu 16.04 yesterday on my selfbuild-pc with gigabyte ga970a-ds3p and amd fx8350. same problem here.
my external hdd seems to have power, its rotating and blinking, but its only recogniced on usb 2 port.

cement_head (andor-udel) wrote :

This "bug" report is as a result of BAD USB 3.0 protocols implemented by the manufacturers of the devices. And has nothing to do with Linux. Please file a bug report with the manufacturers.

Skiold (skiold-nino) wrote :

Hi, I've installed Ubuntu-Gnome 16.04 yesterday on my HP-ProDesk-PC, dual boot with Windows 10.
This computer has four USB 3.0 ports and two USB 2.0 ports.
Same problem here with Ubuntu partition, not in Windows 10 partition.
My external Toshiba HDD seems to have power, it is rotating and blinking, but it is recognized immediately only on USB 2.0 ports, not in USB 3.0 ports.
After rebooting system, USB 3.0 ports works fine but only just one time. If you unmount the device the problem starts again.
Another detail: On USB 2.0 ports the Toshiba HDD blinks in white light; on USB 3.0 ports blinks in blue light (such in Ubuntu as in Windows).

Pavak Paul (pavakatubuntu) wrote :

I'm facing the same problem with both my laptop (Lenovo G500s) and Desktop (AMD FX 9590, Asus M5A 99FX). USB 3 hard drive doesn't work with USB 3 port, but any other combination works.

USB3 > USB3 = Doesn't work
USB3 > USB2 = Works
USB2 > USB3 = Works
USB2 > USB2 = Works

I never tried a USB 3.0 device before, right now I'm using Ubuntu 16.04 LTS.

cement_head (andor-udel) wrote :

Again, this is NOT a LINUX problem. This is a manufacturer of your USB 3.0 device problem. They (the manufacturer) is NOT following the xHCI USB 3.0 specs and therefore the device does not work properly. In other words, it's likely the external HDD, not the machine, nor the O/S (Ubuntu).

The reason your USB 3.0 device works in Windows, is that (a) either Microsoft wrote some hacky drivers for the bad device, or (b) the manufacturer of the device submitted a "driver" to Microsoft so that it's sub-standard firmware/hardware would work on Windows.

Lemon Squid (5-ubuntuone-9) wrote :

Interesting twist for me:

I recently had to upgrade the motherboard, power supply, and case on the machine that was having the issue (USB 3.0 external disk having to be powered off and powered on after a reboot before the OS would "see" it). I was lazy and didn't bother reinstalling the OS (Ubuntu 14.04 LTS).

The main differences:

- The new MB has USB 3.0 support and the USB 3.0 external drives are plugged in to that rather the the PCI-e card I had previously been using.

- CPU went from Intel to AMD

- Bigger power supply (600W vs 400W)

The problem no longer occurs. My wild guess is that it was the PCI-e card causing the problem OR the driver for USB 3.0 on PCI-e is wonky and the issue got resolved because the motherboard did not use the same drivers (not an expert on this kind of issue).

Just thought I'd post this to add another wild stab in the dark.

Bolick (alexey-brodkin) wrote :

Indeed hardware might be buggy and special tweaks could be required in drivers to recover functionality of any given hardware. But given we cannot influence (usually) hardware manufacturers to fix stuff (or even to do better stuff next time) the only thing we may do is to "improve" Linux drivers so they allow us to use the hardware in question.

And this is all doable. But what really helps here is ability to capture more lower-level logs (like with enabled dynamic debugging of usb/xhci driver), ability to build and run Linux kernel with proposed changes/patches. If above is ok for you just report your issue to USB mailing list and let developers of USB drivers to help you. Info about mentioned mailing list is available here - http://www.linux-usb.org/mailing.html

Problem still in xenial.
Workaround with invoking 'sudo lsusb -v' after connecting a new usb-3 drive still fix the problem.

tags: added: xenial
Pavak Paul (pavakatubuntu) wrote :

It's fixed with some system update. Now working. I've plugged in an USB3 external HDD into an USB3 port in my computer. It was detected and working perfectly. The HDD was in NTFS and I got around 40 MB/s speed.

Skiold (skiold-nino) wrote :

Not yet solved for me. Today I've updated my system but still not working.

CraigFoote (craigfoote) wrote :

I have 16.04 installed on my laptop and my media center PC. The USB3.0 external hard drive works when plugged into the laptop but not the media center PC. Any ideas?

Kevin (kryptonyk) wrote :

What works for me is powering on my laptop (HP Probook 4430s, Core i-5 2410m with 16gb dual-boot win7/ubnt 16.04.1) with the USB 3.0 device already plugged in before boot. Seems to have something to do with the voltages. Try this!

Kevin (kryptonyk) wrote :

I can also now confirm that disconnecting and reconnecting the same device after powering on the laptop with it plugged in works as well, as told by my dmesg output:

[ 548.474227] usb 3-1: new high-speed USB device number 3 using xhci_hcd
[ 548.506396] usb 4-1: USB disconnect, device number 2
[ 548.556855] sd 6:0:0:0: [sdb] Synchronizing SCSI cache
[ 548.556913] sd 6:0:0:0: [sdb] Synchronize Cache(10) failed: Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[ 548.586157] usb 3-1: device descriptor read/64, error -71
[ 559.683005] usb 4-1: new SuperSpeed USB device number 3 using xhci_hcd
[ 559.703525] usb 4-1: New USB device found, idVendor=13fd, idProduct=3920
[ 559.703534] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 559.703539] usb 4-1: Product: ADP-07U3
[ 559.703543] usb 4-1: Manufacturer: KINGWIN
[ 559.703547] usb 4-1: SerialNumber: 57442D575834304137394834
[ 559.704704] usb-storage 4-1:1.0: USB Mass Storage device detected
[ 559.708633] scsi host7: usb-storage 4-1:1.0
[ 560.707895] scsi 7:0:0:0: Direct-Access KINGWIN ADP-07U3 0205 PQ: 0 ANSI: 6
[ 560.709081] sd 7:0:0:0: Attached scsi generic sg2 type 0
[ 560.711288] sd 7:0:0:0: [sdb] Spinning up disk...
[ 563.805297] .ready
[ 563.805736] sd 7:0:0:0: [sdb] 976773167 512-byte logical blocks: (500 GB/466 GiB)
[ 563.806315] sd 7:0:0:0: [sdb] Write Protect is off
[ 563.806322] sd 7:0:0:0: [sdb] Mode Sense: 1f 00 10 08
[ 563.806917] sd 7:0:0:0: [sdb] Write cache: enabled, read cache: enabled, supports DPO and FUA
[ 563.847286] sdb: sdb1 sdb2
[ 563.847299] sdb: p1 size 48838704 extends beyond EOD, enabling native capacity
[ 563.850729] sdb: sdb1 sdb2
[ 563.850748] sdb: p1 size 48838704 extends beyond EOD, truncated
[ 563.852679] sd 7:0:0:0: [sdb] Attached SCSI disk

Tom (7om) wrote :

I have this issue with an HP Z1 workstation, Ubuntu 16.04. I can use the external USB 3.0 HD one time. After disconnecting and attempting to re-connect, I no longer see events in syslog.

Sabrent USB 3.0 to SATA external hard drive docking station.

Tom (7om) wrote :

I should mention this also happened with my CODE keyboard as well. It works fine in the USB 3.0 input but once disconnected and re-connected, Ubuntu no longer recognizes it.

Mk Quake (mkquake) wrote :

Ubuntu Mate 16.04 LTS 64 bits
Asus X44H

enable port USB3 with

sudo lsusb -v

SALUDOS A TODOS !!!

Skiold (skiold-nino) wrote :

Hi,
The command 'sudo lsusb -v' do not solve the problem.

The problem persist...

It works just only one time in the USB 3.0 input, but once disconnected and re-connected, Ubuntu no longer recognizes it.

Hi,
the same problem her with Asus E200HA, 64bit, Ubuntu Gnome 16.04 LTS.
The harddisk at USB3 works once when connected at startup, but never again when disconnected.

SYSTEM INFO
                       system E200HA (ASUS-NotebookSKU)
/0 bus E200HA
/0/0 memory 64KiB BIOS
/0/a memory 2GiB Systemspeicher
/0/a/0 memory 2GiB DIMM DDR3 1600 MHz (0,6 ns)
/0/a/1 memory DIMMProject-Id-Version: lshwReport-Msgid-B
/0/11 memory 224KiB L1 Cache
/0/12 memory 2MiB L2 Cache
/0/13 processor Intel(R) Atom(TM) x5-Z8300 CPU @ 1.44GHz
/0/100 bridge Intel Corporation
/0/100/2 display Intel Corporation
/0/100/b generic Intel Corporation
/0/100/14 bus Intel Corporation
/0/100/14/0 usb1 bus xHCI Host Controller
/0/100/14/0/1 multimedia USB2.0 VGA UVC WebCam
/0/100/14/0/3 communication Bluetooth-Schnittstelle
/0/100/14/0/4 input U+P Mouse
/0/100/14/1 usb2 bus xHCI Host Controller
/0/100/14/1/1 storage External USB 3.0
/0/100/1a generic Intel Corporation
/0/100/1c bridge Intel Corporation
/0/100/1c/0 wlp1s0 network Qualcomm Atheros
/0/100/1f bridge Intel Corporation

CONNECTION MESSAGES
[ 231.291890] usb 2-1: new SuperSpeed USB device number 3 using xhci_hcd
[ 231.310300] usb 2-1: New USB device found, idVendor=0480, idProduct=a202
[ 231.310324] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 231.310338] usb 2-1: Product: External USB 3.0
[ 231.310350] usb 2-1: Manufacturer: TOSHIBA
[ 231.310362] usb 2-1: SerialNumber: 20151231001889C
[ 231.312379] usb-storage 2-1:1.0: USB Mass Storage device detected
[ 231.316046] scsi host0: usb-storage 2-1:1.0
[ 253.805170] usb 2-1: Disable of device-initiated U1 failed.
[ 258.800433] usb 2-1: Disable of device-initiated U2 failed.
[ 258.968598] usb 2-1: reset SuperSpeed USB device number 3 using xhci_hcd

spbike (bill-broadley) wrote :

Fully patched 16.04 (as of Dec 3rd) still has this problem.

None of the above mentioned fixes (lsusb or echo on to /sys/bus/usb/devices/*/power/control) fixes the problem.

I'm on a fairly new Xeon E3 Gigabyte motherboard with an E3-1230.

My new Pixel XL is a USB 3 device and when plugged into a USB-3 port I get the:
[1596150.752478] usb 2-2: new SuperSpeed USB device number 61 using xhci_hcd
[1596150.773530] usb 2-2: New USB device found, idVendor=18d1, idProduct=4ee2
[1596150.773538] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[1596150.773542] usb 2-2: Product: Pixel XL
[1596150.773546] usb 2-2: Manufacturer: Google
[1596150.773549] usb 2-2: SerialNumber: HT6B70200925
[1596150.775654] usb 2-2: Enable of device-initiated U1 failed.
[1596150.775897] usb 2-2: Enable of device-initiated U2 failed.

If I plug it into a USB2 port it works. I also had the indentical problem with an Intel NUC, problem is that it has no USB-2 ports.

tomdean (tomdean) wrote :

NAME="Ubuntu"
VERSION="16.04.2 LTS (Xenial Xerus)"

Ubuntu on sda.

P9X79 Motherboard
Plugable 7-port powered USB 3.0 Hub -> USB 3.0 MB Port
Plugable 7-port powered USB 2.0 Hub -> USB 2.0 MB Port
WD My Passport 2T USB 3.0/2.0 Drive

f I plug the WD drive into the USB 3.0 hub power on the computer and boot, it works. If I disconnect the drive, wait 30 seconds, plug it back into the same port, it is not seen. If I use 'sudo lsusb -v' the drive is recognized.

If I plug the WD drive into the USB 2.0 hub, it is recognized and works. If I disconnect the drive, wait 30 seconds, plug it back into the same port, it is recognized and works.

Kai-Heng Feng (kaihengfeng) wrote :

@tomdean,

Does this issue happen if you turn runtime pm off?
You can do this in `powertop` program, in "Tunables" tab. Change "Good" to "Bad" on XHCI device.

tomdean (tomdean) wrote :

I do not see runtime pm for XHCI
Lots for PCI, some for I2c

There are some autosuspend for HCI

   Good Autosuspend for unknown USB device 1-1 (8087:0024)
   Good Autosuspend for USB device xHCI Host Controller [usb3]
   Good Autosuspend for USB device xHCI Host Controller [usb4]
   Good Autosuspend for USB device EHCI Host Controller [usb1]
   Good Autosuspend for USB device EHCI Host Controller [usb2]
   Good Autosuspend for USB device USB 3.0 HUB [VLI Labs, Inc. ]
   Good Autosuspend for USB device USB 3.0 HUB [VLI Labs, Inc. ]
   Good Autosuspend for USB device 4-Port USB 3.0 Hub [VIA Labs, Inc.]
   Good Autosuspend for USB device USB2.0 Hub [5-1]
   Good Autosuspend for USB device USB 2.0 HUB [5-1.2.1]
   Good Autosuspend for USB device USB 2.0 HUB [5-1.2]
   Good Autosuspend for USB device xHCI Host Controller [usb5]
   Good Autosuspend for USB device USB 2.0 Hub [2-1.3]
   Good Autosuspend for unknown USB device 2-1 (8087:0024)
   Good Autosuspend for USB device xHCI Host Controller [usb6]
   Good Autosuspend for USB device USB 2.0 Hub [2-1.3.4]

The USB 3.0 hub is
Bus 006 Device 004: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 003: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 002: ID 2109:0810 VIA Labs, Inc. VL81x Hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub

tomdean (tomdean) wrote :

I should have posted the entire list:
> lsusb
Bus 002 Device 006: ID 0cf3:3005 Qualcomm Atheros Communications AR3011 Bluetooth
Bus 002 Device 007: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 002 Device 004: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 004: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 003: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 002: ID 2109:0810 VIA Labs, Inc. VL81x Hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 004: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 005 Device 003: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 005 Device 002: ID 2109:3431 VIA Labs, Inc. Hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 045e:00cb Microsoft Corp. Basic Optical Mouse v2.0
Bus 001 Device 005: ID 045e:0768 Microsoft Corp. Sidewinder X4
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Kai-Heng Feng (kaihengfeng) wrote :

Well, these are XHCI:
Good Autosuspend for USB device xHCI Host Controller [usb3]
Good Autosuspend for USB device xHCI Host Controller [usb4]
Good Autosuspend for USB device xHCI Host Controller [usb5]
Good Autosuspend for USB device xHCI Host Controller [usb5]

On 05/21/2017 09:58 PM, Kai-Heng Feng wrote:
> Well, these are XHCI:
> Good Autosuspend for USB device xHCI Host Controller [usb3]
> Good Autosuspend for USB device xHCI Host Controller [usb4]
> Good Autosuspend for USB device xHCI Host Controller [usb5]
> Good Autosuspend for USB device xHCI Host Controller [usb5]
>

It appears that changing Autosuspend to bad may have retained drive
recognition after it is first recognized. But, this does not fix the
initial connection problem.

Before applying the change,

1. connect a WD USB 3.0 disk drive to the external USB 3.0 hub.
     The drive led blinked but the drive does not show in dmesg.
2. sudo lsusb -v
     The drive led blinked and the drive shows in dmesg as sdf.
3. Mount the drive and start a dump level 0.
     After a 1/2 hour, or so, dump required operator intervention.
     In dmesg, the drive disconnected and reconnected as sdg.
4. Disconnect the WD disk drive.

Apply the change.

     Bad Autosuspend for USB device xHCI Host Controller [usb6]

5. Connect the WD drive.
     The drive led blinked but the drive does not show in dmesg.
6. sudo lsusb -v
     The drive led blinked and the drive shows in dmesg as sdf.
7. Mount the drive and start a dump level 0.
     It appears the drive is operating much faster.
     Dump completed OK.
8. Disconnect the WD drive, wait a couple minutes and reconnect
     The drive led blinked and the drive shows in dmesg as sdf
9. Disconnect the WD drive, wait 5 minutes and reconnect
     The drive led blinked but the drive does not show in dmesg.
10. sudo lsusb -v
     The drive led blinked and the drive shows in dmesg as sdf.

Apply another change.

     Bad Autosuspend for USB device xHCI Host Controller [usb3]
     Bad Autosuspend for USB device xHCI Host Controller [usb4]
     Bad Autosuspend for USB device xHCI Host Controller [usb5]

11. Disconnect the WD drive, wait 5 minutes and reconnect
     The drive led blinked but the drive does not show in dmesg.
     Disconnect shows in dmesg.
12. sudo lsusb -v
     The drive led blinked and the drive shows in dmesg as sdf.

Tom Dean

Kai-Heng Feng (kaihengfeng) wrote :

Create a file, "/etc/modprobe.d/uas-quirk.conf" with this line inside:
options usb-storage quirks=xxxx:xxxx:u

Replace "xxxx" with the storage device's vid:pid in lsusb.

tomdean (tomdean) wrote :

On 05/24/2017 09:36 PM, Kai-Heng Feng wrote:
> Create a file, "/etc/modprobe.d/uas-quirk.conf" with this line inside:
> options usb-storage quirks=xxxx:xxxx:u
>
> Replace "xxxx" with the storage device's vid:pid in lsusb.
>

I created the file and rebooted with the drive connecte. The reboot
restored the Autosuspend to good.

 > cat /etc/modprobe.d/uas-quirk.conf
options usb-storage quirks=1058:25e2:u

 > lsusb
...
Bus 006 Device 005: ID 1058:25e2 Western Digital Technologies, Inc.
Bus 006 Device 004: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 003: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 002: ID 2109:0810 VIA Labs, Inc. VL81x Hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
...

I disconnected the drive and dmesg shows the disconnect.

I reconnected the drive and dmesg does not show the drive

 > lsusb
...
Bus 006 Device 004: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 003: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 006 Device 002: ID 2109:0810 VIA Labs, Inc. VL81x Hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
...

The drive is not recognized.

I set Autosuspend to bad with powertop

   Bad Autosuspend for USB device xHCI Host Controller [usb6]

 > sudo lsusb -v

The drive led blinks and the drive is in dmesg

I disconnected the drive and dmesg shows the disconnect.

I reconnected the drive and dmesg does not show the drive

Tom Dean

tomdean (tomdean) wrote :

I did a regression on a USB 3.0 problem in 2013. This traced the
problem to a change in the usb code.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1151622

Tom Dean

Kai-Heng Feng (kaihengfeng) wrote :

@tomdean

Let's not hijack the original bug.
Can you file a new bug?

$ ubuntu-bug linux

tomdean (tomdean) wrote :

On 05/26/2017 01:42 AM, Kai-Heng Feng wrote:
> @tomdean
>
> Let's not hijack the original bug.
> Can you file a new bug?
>
> $ ubuntu-bug linux
>

I created bug 1603842.

Tom Dean

tomdean (tomdean) wrote :

On 05/26/2017 01:42 AM, Kai-Heng Feng wrote:
> @tomdean
>
> Let's not hijack the original bug.
> Can you file a new bug?
>
> $ ubuntu-bug linux
>

Sorry, typo in the bug number.

I created bug 1693842.

Tom Dean

description: updated
luca (llucax) wrote :

I'm affected by this since I upgraded from 17.04 to 17.10 today.

Dell XPS 15 (2017)

lspci | grep -i usb
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
04:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller

lsusb
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 009 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 0d8c:0102 C-Media Electronics, Inc. CM106 Like Sound Device
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 0b95:772b ASIX Electronics Corp. AX88772B
Bus 001 Device 006: ID 0bc2:ab30 Seagate RSS LLC
Bus 001 Device 005: ID 1997:1221
Bus 001 Device 004: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 001 Device 002: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

The Seagate RSS LLC device (5TB USB 3 disk) is only recognized in a USB 2 port while before the upgrade it worked perfectly in the USB 3 ports.

luca (llucax) wrote :

Sorry, it's not a Dell XPS 15, it's a Foxconn Nt a3500 Netbox.

tomdean (tomdean) wrote :

On 12/31/17 01:19, luca wrote:

This bug seems to be related to the version of Linux.

I do not have this problem with

 > uname -a
Linux P9X79 4.12.0-041200rc2-generic #201705212331 SMP Mon May 22
03:32:26 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Tom Dean

luca (llucax) wrote :

OK, after a restart it worked back again. I don't know what happened.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments